/*
 * SPDX-FileCopyrightText: 2018 Bruce Cowan <bruce@bcowan.me.uk>
 *
 * SPDX-License-Identifier: GPL-3.0-or-later
 */

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

static char *
get_string (size_t *length)
{
    char *string;

    printf ("Please insert a word\n");
    scanf ("%ms", &string);
    
   if (length)
        *length = strlen (string);

    return string;
}

int
main (void)
{
    while (1)
    {
        size_t length;
        char *string = get_string (&length);
        printf ("%zu characters: %s\n", length, string);
        free (string);
    }

    return 0;
}
